TechDraw KosmetischeKnoten

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 56% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano

Techdraw-point.svg {{{Name/de}}}

Menüeintrag
TechDraw → Knoten hinzufügen → Kosmetischer Knoten hinzufügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
0.19
Siehe auch
TechDraw Midpoints, TechDraw Quadrant


Beschreibung

Das kosmetische Knoten Werkzeug fügt einer Ansicht einen Knoten hinzu, der nicht Teil der Quellgeometrie ist. Dieser Knoten verhält sich wie jeder andere Knoten und kann für die Bemaßung verwendet werden.

TechDraw CosmeticVertex Sample.png

Kosmetischer Knoten, der verwendet wird, um eine sonst unmögliche Bemaßung zu schaffen


Kurzanleitung

  1. Drücke die Taste Techdraw-mline.svg KosmetischerKnoten
  2. Ein Aufgabendialog wird geöffnet. Das Dialogfeld ermöglicht die Auswahl der Position des kosmetischen Knotens durch die Verwendung eines "Punktewähler" oder durch die Eingabe von Koordinaten. Die Koordinaten sind die Position innerhalb der Ansicht relativ zum Zentrum der Ansicht.
  3. Mit der Schaltfläche Pick Punkte wird ein "Punktewähler" gestartet. Sobald ein Ort ausgewählt ist, erscheint ein kleiner Kreis. Der Kosmetische Knoten wird hinzugefügt, sobald die Schaltfläche "OK" gedrückt wird.
  4. Um den "Punktewähler" zu verlassen, ohne einen Kosmetische Knoten zu erzeugen, drücke die Schaltfläche "Punktewahl beenden" im Dialogfeld.

To delete a Cosmetic Vertex, select it and use the toolbar button TechDraw CosmeticEraser.svg Remove Cosmetic Object.

Note: You cannot change the location of the Cosmetic Vertex after it has been created. At the moment there is no other way than to delete it and creating a new one.

Eigenschaften

Kosmetische Knoten haben keine eigenen Eigenschaften, da sie keine Dokumentobjekte sind. Sie haben gemeinsame Farb- und Größeneinstellungen mit regulären Geometrieknoten.

Skripten

Siehe auch: TechDraw API und FreeCAD Grundlagen Skripten.

Kosmetische Knoten sind für Makros oder die Python Konsole verfügbar.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)